upstream php-upstream {
    server php-restng:9000;
}

server {

    listen 80 default_server;
    listen 443 ssl;

    server_name localhost;

    ssl_certificate     /etc/nginx/tls/localhost.localdomain.crt;
    ssl_certificate_key /etc/nginx/tls/localhost.localdomain.key;
    ssl_protocols       TLSv1.2;
    ssl_ciphers         HIGH:!aNULL:!MD5;

    index index.php index.html index.htm;
    root /var/www/restng/www;

    location / {
        try_files $uri $uri/ /index.php$is_args$args;
    }

    location ~ \.php$ {
        if (!-f $request_filename) { return 404; }
        fastcgi_pass php-upstream;
        fastcgi_index index.php;
        fastcgi_buffers 16 16k;
        fastcgi_buffer_size 32k;
        fastcgi_param PATH_INFO $1;
        fastcgi_param SCRIPT_FILENAME $request_filename;
        #fixes timeouts
        fastcgi_read_timeout 600;
        include fastcgi_params;
    }

    location ~ /\.ht {
        deny all;
    }
}
